[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TExceptionEvent

Exception handling event prototype

## Declaration

Source position: custapp.pp line 25

`type TExceptionEvent = procedure(`
`Sender: TObject;`
`E: Exception`
`) of object;`

## Arguments

`Sender` |  | TCustomApplication instance.
`E` |  | Exception instance that should be handled.

## Description

TExceptionEvent is the prototype for the exception handling events in TCustomApplication.

## See also

TCustomApplication.HandleException |  | Handle an exception.
TCustomApplication.ShowException |  | Show an exception to the user